All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans
Class BaseCompositeTransformationBodyTag

    com.sas.taglib.servlet.tbeans.BaseCompositeTransformationBodyTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

Direct Known Subclasses:
  BaseActionCompositeTransformationBodyTag

    public abstract class BaseCompositeTransformationBodyTag

The base object for all tag handlers in the SAS Custom Tag Library that are used as wrappers for BaseCompositeTransformationBeans.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS, RB_KEY`

Constructor Summary
`BaseCompositeTransformationBodyTag()` Default constructor

Method Summary
`protected void` | `applyAttributes()` Sets the basic attributes common to all Transformation Beans that subclass BaseActionTransformation.
`java.lang.String` | `getTemplate()` Returns the template used for this composite TransformationBean.
`java.lang.String` | `getTemplateDictionary()` Returns the object used to specify the template dictionary for this composite TransformationBean.
`java.lang.String` | `getTemplateFile()` Returns the file object which contains the template for this composite TransformationBean.
`java.lang.String` | `getTemplateFileName()` Returns the file name which contains the template for this composite TransformationBean.
`java.lang.String` | `getTemplateLocation()` Returns the location of the template file for this composite TransformationBean.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setTemplate(java.lang.String template)` Sets the template used for the composite TransformationBean.
`void` | `setTemplateDictionary(java.lang.String dictionary)` Sets the object used to specify the template dictionary for this composite TransformationBean.
`void` | `setTemplateFile(java.lang.String file)` Sets the file object which contains the template for this composite TransformationBean.
`void` | `setTemplateFileName(java.lang.String fileName)` Sets the file name which contains the template for this composite TransformationBean.
`void` | `setTemplateLocation(java.lang.String location)` Sets the location of the template file for this composite TransformationBean.

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`doEndTag, doStartTag, getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### BaseCompositeTransformationBodyTag

    public BaseCompositeTransformationBodyTag()

  Default constructor

Method Detail

### getTemplate

    public java.lang.String getTemplate()

  Returns the template used for this composite TransformationBean.

### setTemplate

    public void setTemplate(java.lang.String template)

  Sets the template used for the composite TransformationBean.

  Parameters:
    `template` - The String used as the template for the composite TransformationBean.

### getTemplateFileName

    public java.lang.String getTemplateFileName()

  Returns the file name which contains the template for this composite TransformationBean.

  Returns:
    the template file name for this composite TransformationBean

### setTemplateFileName

    public void setTemplateFileName(java.lang.String fileName)

  Sets the file name which contains the template for this composite TransformationBean.

  Parameters:
    `fileName` - The name of the file that contains the template for this composite TransformationBean.

### getTemplateFile

    public java.lang.String getTemplateFile()

  Returns the file object which contains the template for this composite TransformationBean.

  Returns:
    the template file object for this composite TransformationBean

### setTemplateFile

    public void setTemplateFile(java.lang.String file)

  Sets the file object which contains the template for this composite TransformationBean.

  Parameters:
    `file` - The java.io.File object used as the template file for this composite TransformationBean.

### getTemplateDictionary

    public java.lang.String getTemplateDictionary()

  Returns the object used to specify the template dictionary for this composite TransformationBean.

  Returns:
    the object used to specify the template dictionary for this composite TransformationBean

### setTemplateDictionary

    public void setTemplateDictionary(java.lang.String dictionary)

  Sets the object used to specify the template dictionary for this composite TransformationBean.

  Parameters:
    `dictionary` - The java.util.HashMap object used to specify the template dictionary for this composite TransformationBean

### getTemplateLocation

    public java.lang.String getTemplateLocation()

  Returns the location of the template file for this composite TransformationBean. If the location is set to null, then the default location as determined by the ComponentPropertyManager will be used.

  Returns:
    The location of the template file for this composite TransformationBean. If the location is set to null, then the default location as determined by the ComponentPropertyManager will be used.

### setTemplateLocation

    public void setTemplateLocation(java.lang.String location)

  Sets the location of the template file for this composite TransformationBean. If the location is set to null, then the default location as determined by the ComponentPropertyManager will be used.

  Parameters:
    `location` - The location (directory) containing the template file for this composite TransformationBean.

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseTransformationBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the basic attributes common to all Transformation Beans that subclass BaseActionTransformation.

  Overrides:
    `applyAttributes` in class `BaseTransformationBodyTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if a JspException occurs.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.